<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_gravity="center">


    <RelativeLayout
        android:id="@+id/frameLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:padding="@dimen/margin_1x_size"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <com.dinuscxj.progressbar.CircleProgressBar

            android:id="@+id/custom_progress"
            android:layout_width="260dp"
            android:layout_height="260dp"
            android:layout_centerInParent="true"
            app:line_count="200"
            app:line_width="10dp"
            app:progress_background_color="@color/colorGray"
            app:progress_start_color="@color/colorPrimary"
            app:progress_stroke_width="2dp" />

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true">


            <com.seatel.mobilehall.util.CircularFrameLayout
                android:layout_width="250dp"
                android:layout_height="250dp"
                android:layout_gravity="center">

                <com.seatel.mobilehall.util.RoundedPreviewView
                    android:id="@+id/previewView"
                    android:layout_width="250dp"
                    android:layout_height="250dp"
                    android:layout_centerInParent="true"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent">


                </com.seatel.mobilehall.util.RoundedPreviewView>

            </com.seatel.mobilehall.util.CircularFrameLayout>


        </FrameLayout>


    </RelativeLayout>


    <ImageView
        android:id="@+id/imageView"
        android:layout_width="50dp"
        android:layout_height="50dp"
        android:layout_marginTop="40dp"
        android:src="@drawable/ic_profile_face_scan"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/frameLayout" />

    <com.seatel.mobilehall.util.customview.CustomTextView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/margin_2x_size"
        android:gravity="center_horizontal"
        android:text="ព្រិចភ្នែកហើយមើលត្រង់ទៅកាមេរ៉ា"
        android:textColor="@color/colorPrimary"
        android:textSize="20sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/imageView" />

    <ImageView
        android:id="@+id/showImageScan"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="10dp"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/imageView"
        tools:srcCompat="@tools:sample/avatars" />


</androidx.constraintlayout.widget.ConstraintLayout>